> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1hubendpoints static client rates



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/hub/endpoints/{endpoint}/static-client-rates
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/hub/endpoints/{endpoint}/static-client-rates:
    get:
      tags:
        - StaticClientRates
      operationId: hub.static-client-rates.index
      parameters:
        - name: endpoint
          in: path
          required: true
          description: The endpoint ID
          schema:
            type: string
            format: uuid
        - name: page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: per_page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: search
          in: query
          schema:
            type: string
        - name: search_ids
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
      responses:
        '200':
          description: Array of `StaticClientRateResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/StaticClientRateResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StaticClientRateResource:
      type: object
      properties:
        id:
          type: string
        seller_endpoint_id:
          type: string
        sms_route_id:
          type:
            - string
            - 'null'
        country_id:
          type: integer
        network_id:
          type:
            - integer
            - 'null'
        network_brand_id:
          type:
            - string
            - 'null'
        rate:
          type: string
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - seller_endpoint_id
        - sms_route_id
        - country_id
        - network_id
        - network_brand_id
        - rate
        - created_at
        - updated_at
      title: StaticClientRateResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````